<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK SETTINGS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$settings           = array(
  'menu_title'      => '主题设置',
  'menu_type'       => 'menu', // menu, submenu, options, theme, etc.
  'menu_slug'       => 'cs-framework',
  'ajax_save'       => false,
  'show_reset_all'  => false,
  'framework_title' => '不喜平主题设置面板',
);

// ===============================================================================================
// -不喜平主题设置面板----------------------------------------------------------------------------
// ===============================================================================================
$options        = array();

// ----------------------------------------
// 基本设置 -
// ----------------------------------------
$options[]      = array(
  'name'        => '基本设置',
  'title'       => '基本设置',
  'icon'        => 'fa fa-star',

    // begin: fields
    'fields'      => array(
        array(
            'id'      => 'logo1',
            'type'    => 'upload',
            'title'   => '站点普通logo',
            'desc'    => '上传您的站点普通logo（推荐尺寸为:176px*50px）',

        ),
        
        array(
            'id'      => 'logo2',
            'type'    => 'upload',
            'title'   => '站点高清logo',
            'desc'    => '上传您的站点高清logo（推荐尺寸为:280px*80px）',

        ),

        array(
            'id'      => 'description',
            'type'    => 'textarea',
            'title'   => '网站描述',
            'desc'    => '请输入您的网站描述，用于SEO',
        ),
        array(
            'id'      => 'keywords',
            'type'    => 'textarea',
            'title'   => '网站关键词<br/>（以"|"作为分隔）',
            'desc'    => '请输入您的网站关键词',
        ),
        array(
            'id'      => 'article',
            'type'    => 'textarea',
            'title'   => '置顶文章',
            'desc'    => '输入您想置顶的文章的id',
        ),
  ),
);

// ------------------------------
// backup                       -
// ------------------------------
$options[]   = array(
  'name'     => 'backup_section',
  'title'    => '导入/导出',
  'icon'     => 'fa fa-shield',
  'fields'   => array(

    array(
      'type'    => 'notice',
      'class'   => 'warning',
      'content' => '您可以用它来导入/导出您的设置项.',
    ),

    array(
      'type'    => 'backup',
    ),

  )
);

CSFramework::instance( $settings, $options );
